From: Ross Lagerwall <ross.lagerwall-Sxgqhf6Nn4DQT0dZR+AlfA@public.gmane.org>
To: initramfs-u79uwXL29TY76Z2rM5mHXA@public.gmane.org
Cc: Ross Lagerwall <ross.lagerwall-Sxgqhf6Nn4DQT0dZR+AlfA@public.gmane.org>
Subject: [PATCH] Require all interfaces to be up before using iscsistart -b
Date: Thu, 14 May 2015 09:30:11 +0100 [thread overview]
Message-ID: <1431592211-5652-1-git-send-email-ross.lagerwall@citrix.com> (raw)
If multiple targets are specified in the ibft, iscsistart will log into
all of them, possibly using multiple interfaces. Since iscsistart is run
indirectly from ifup, require that all interfaces are up before actually
logging into the targets.
---
modules.d/95iscsi/iscsiroot.sh | 5 +++++
1 file changed, 5 insertions(+)
diff --git a/modules.d/95iscsi/iscsiroot.sh b/modules.d/95iscsi/iscsiroot.sh
index 1de6fb7..b9e99cb 100755
--- a/modules.d/95iscsi/iscsiroot.sh
+++ b/modules.d/95iscsi/iscsiroot.sh
@@ -45,6 +45,11 @@ fi
handle_firmware()
{
+ # iscsistart -b may use multiple interfaces so only run when
+ # all are ready.
+ type all_ifaces_up >/dev/null 2>&1 || . /lib/net-lib.sh
+ all_ifaces_up || return 1
+
if ! [ -e /tmp/iscsistarted-firmware ]; then
if ! iscsistart -f; then
warn "iscistart: Could not get list of targets from firmware."
--
1.7.10.4
next reply other threads:[~2015-05-14 8:30 UTC|newest]
Thread overview: 6+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-05-14 8:30 Ross Lagerwall [this message]
[not found] ` <1431592211-5652-1-git-send-email-ross.lagerwall-Sxgqhf6Nn4DQT0dZR+AlfA@public.gmane.org>
2015-05-14 9:04 ` [PATCH] Require all interfaces to be up before using iscsistart -b Dracut GitHub Import Bot
2015-06-15 9:34 ` Ross Lagerwall
[not found] ` <557E9C1F.4060102-Sxgqhf6Nn4DQT0dZR+AlfA@public.gmane.org>
2015-06-15 9:51 ` Harald Hoyer
[not found] ` <557EA026.7090509-H+wXaHxf7aLQT0dZR+AlfA@public.gmane.org>
2015-06-15 9:53 ` Harald Hoyer
[not found] ` <557EA096.4070802-H+wXaHxf7aLQT0dZR+AlfA@public.gmane.org>
2015-06-15 14:25 ` Ross Lagerwall
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1431592211-5652-1-git-send-email-ross.lagerwall@citrix.com \
--to=ross.lagerwall-sxgqhf6nn4dqt0dzr+alfa@public.gmane.org \
--cc=initramfs-u79uwXL29TY76Z2rM5mHXA@public.gmane.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox